Subject: bug#73386: [PATCH] Fix keybinding support for *-auto-reveal

From: Arash Esbati <[email-masked]>
Date: Wed, 25 Sep 2024 10:05:25 +0200

Paul Nelson <[email-masked]> writes:

>> Thanks.  I have one question: Is it possible to set the LEXICAL argument
>> of `eval' to t?
>
> If I understand correctly, your suggestion is to use something like
> the following?

Yes, plus the one addition below.

> (defcustom preview-auto-reveal
>       '(eval . ((apply #'preview-arrived-via
>                        (mapcar (lambda (cmd)
>                                  (if (and (listp cmd) (eq (car cmd) 'key-binding))
>                                      (eval cmd)
                                       (eval cmd t)
>                                    cmd))
>                                preview-auto-reveal-commands))
>                 t))
> ...)
>
> I assume this will have no effect, but would be happy to test it out
> for a couple days.

Great, thanks, looking forward to your feedback.

Best, Arash